Bug 185663 - Review Request: sweep - An audio editor and live playback tool
Review Request: sweep - An audio editor and live playback tool
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Schwendt
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-03-16 14:17 EST by Gérard Milmeister
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-30 13:52:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Gérard Milmeister 2006-03-16 14:17:22 EST
Spec Url: http://math.ifi.unizh.ch/fedora/spec/sweep.spec
SRPM Url: http://math.ifi.unizh.ch/fedora/4/i386/SRPMS.gemi/sweep-0.9.1-1.src.rpm
Description:
Sweep is an audio editor and live playback tool for GNU/Linux, BSD and
compatible systems. It supports many music and voice formats including
WAV, AIFF, Ogg Vorbis, Speex and MP3, with multichannel editing and
LADSPA effects plugins.

This has been requested on the Extras Wishlist.
Comment 1 Michael Schwendt 2006-03-25 18:55:00 EST
* WARNING: Build includes incomplete development code.

* Licence is GPL not LGPL.

* sweep-devel  "Requires: glib2-devel gtk2-devel"  (sweep.h)

* pedantic: sweep-devel %description contains a typo ("Header filer")
and mentions non-existent "libraries" -- the package doesn't require the
main package, btw

* Loading FLAC files (encoded with defaults, e.g. flac --best test.wav) gives
an error dialog

    Supported file format but file is malformed.

and causes sweep to exit. I point this out because the desktop file
adds audio/x-flac MIME type, although FLAC support is on the TODO list.

When trying to load a FLAC file inside the GUI, the application terminates.
After that, mouse-click event recognition in xterm, GNOME and Sweep itself
was disturbed here, e.g. single clicks didn't activate buttons.
Comment 2 Gérard Milmeister 2006-03-26 06:39:50 EST
(In reply to comment #1)
> * WARNING: Build includes incomplete development code.
I removed the --enable-experimental option

> * Licence is GPL not LGPL.
Ok

> * sweep-devel  "Requires: glib2-devel gtk2-devel"  (sweep.h)
Ok

> * pedantic: sweep-devel %description contains a typo ("Header filer")
> and mentions non-existent "libraries" -- the package doesn't require the
> main package, btw
Ok

> * Loading FLAC files (encoded with defaults, e.g. flac --best test.wav) gives
> an error dialog
> 
>     Supported file format but file is malformed.
> 
> and causes sweep to exit. I point this out because the desktop file
> adds audio/x-flac MIME type, although FLAC support is on the TODO list.
I removed the references to FLAC

> When trying to load a FLAC file inside the GUI, the application terminates.
> After that, mouse-click event recognition in xterm, GNOME and Sweep itself
> was disturbed here, e.g. single clicks didn't activate buttons.
Wow, this is bad. I also have experienced ill-behaving program disturb
the DE, where only killing the Xserver helped...

The new SRPM:
http://math.ifi.unizh.ch/fedora/5/i386/SRPMS.gemi/sweep-0.9.1-3.fc5.src.rpm
Comment 3 Michael Schwendt 2006-03-26 19:05:18 EST
* packaging issues fixed
* sources verified against upstream and Debian unstable
* basic operation works fine here
* FLAC problems seem to affect only Scrubby, not the main GUI

APPROVED
Comment 4 Gérard Milmeister 2006-03-26 19:29:39 EST
(In reply to comment #3)
> * packaging issues fixed
> * sources verified against upstream and Debian unstable
> * basic operation works fine here
> * FLAC problems seem to affect only Scrubby, not the main GUI
It does not make sense to put it back in, or does it?

One problem still though.
The FC package lam contains /usr/bin/sweep which obviously
conflicts with this package. What to do?
Comment 5 Michael Schwendt 2006-03-27 05:04:31 EST
> It does not make sense to put it back in, or does it?

Claiming the editor supports FLAC when it doesn't, does not make sense. ;)

> /usr/bin/sweep

First of all, this tells me that I need to find out why my modified
conflicts checker (it used rpmdb-{redhat,fedora} before) missed this.

Secondly, why does "yum install lam" simply overwrite the installed
binary from package "sweep" instead of reporting a conflict?

Renaming the binary and the manual page to "sweep-audio-editor" should
suffice. It's a GUI program primarily.
Comment 6 Gérard Milmeister 2006-03-30 13:52:11 EST
Built on FC5 and devel.

Note You need to log in before you can comment on or make changes to this bug.